Package wx :: Class GraphicsObject

[frames | no frames]

## Type GraphicsObject

    object --+
             |
        Object --+
                 |
                GraphicsObject

Known Subclasses:
  `GraphicsBrush`, `GraphicsContext`, `GraphicsFont`, `GraphicsMatrix`, `GraphicsPath`, `GraphicsPen`

This class is the superclass of native graphics objects like pens etc. It provides the internal reference counting. It is not to be instantiated by user code.

Method Summary
GraphicsObject | ``__init__`(self, renderer)` This class is the superclass of native graphics objects like pens etc.
| `__del__(self)`
GraphicsRenderer | ``GetRenderer`(self)` Returns the renderer that was used to create this instance, or `None` if it has not been initialized yet.
bool | ``IsNull`(self)` Is this object valid (false) or still empty (true)?

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, renderer=None)
(Constructor)

This class is the superclass of native graphics objects like pens etc. It provides the internal reference counting. It is not to be instantiated by user code.

  Parameters:
    `renderer`
    (type=GraphicsRenderer)

  Returns:
    GraphicsObject
  Overrides:
    `wx.Object.__init__`

### GetRenderer(self)

Returns the renderer that was used to create this instance, or `None` if it has not been initialized yet.

  Returns:
    GraphicsRenderer

### IsNull(self)

Is this object valid (false) or still empty (true)?

  Returns:
    bool

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:40 2007 | http://epydoc.sf.net